package com.bwie.system.controller;

import com.bwie.common.domain.Admin;
import com.bwie.common.result.Result;
import com.bwie.system.service.SystemService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Log4j2
public class SystemController {
    @Autowired
    private SystemService service;

    /**
     * 根据号码查询用户
     * @param tel
     * @return
     */
    @PostMapping("toLoginSel/{tel}")
    public Result<Admin> toLoginSel(@PathVariable String tel){
        Admin admin = service.toLoginSel(tel);
        return Result.success(admin);
    }
}
