package com.bwie.common.domain.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@AllArgsConstructor
public class DistrictEditReq{

    private static final long serialVersionUID = 1L;

    /** 父级 */
    @ApiModelProperty(name = "父级", value = "父级")
    private Long parentId;

    /** 名称 */
    @ApiModelProperty(name = "名称", value = "名称")
    private String name;

    /** 编码 */
    @ApiModelProperty(name = "编码", value = "编码")
    private String code;

    /** 级别 */
    @ApiModelProperty(name = "级别", value = "级别")
    private String level;

    /** 级别编码 */
    @ApiModelProperty(name = "级别编码", value = "级别编码")
    private String codeLevel;

    /** 区域编码 */
    @ApiModelProperty(name = "区域编码", value = "区域编码")
    private String areaCode;

    /** 中心经纬度 */
    @ApiModelProperty(name = "中心经纬度", value = "中心经纬度")
    private String center;
}
